In app purchase

I tried to by London but I get error code df-aa-20 help?

Thank you for contacting support!

Customers using an older version of Infinite Flight that are unable to update in their App Store based on device compatibility will receive a message like that when trying to purchase any of the our previous in-app purchases.

Since a few months back, we have removed the ability to make any in-app purchases with the exception of our PRO subscription.

There are a couple of reasons for this change:

  • It greatly simplifies our process to release new content on both Android and iOS, even allowing us to release new aircraft without requiring an app update.
  • It allows us to allocate more resources to update older aircraft; we ultimately want to bring our entire fleet to the same level of quality you are now all expecting.

We understand that subscriptions are not for everyone. However we believe it is the best option for something like Infinite Flight, which continues to evolve and improve through the years.
You can stop at anytime, and when you decide to check out the new stuff, you get access to everything for a month for only $9.99 if you have a compatible device.

Our current device requirements for Android are:

  • Android 5.0 (Lollipop) operating system or later
  • Device must support OpenGL ES 3.0 (Check here.)

We apologize for the inconvenience!

3 Likes